
Auto Multiple Choice - Feature # 14: Identifying inconsistent answers

Status: Closed Priority: Normal
Author: Chilo Pode Category:
Created: 03/07/2012 Assignee:
Updated: 11/03/2017 Due date:
Description: La présence de cellules rouges/jaunes dans l'export OpenOffice, après la correction, permet de repérer les 

réponses incohérentes (rien n'est coché, plusieurs cases sont cochées au lieu d'une seule). Il serait utile de 
pouvoir accéder simplement aux copies concernées, par exemple à partir de la liste des copies après la saisie 
automatique.

automatic translation:
The presence of red or yellow cells in OpenOffice export, after correction, identifies inconsistent answers 
(nothing is checked, multiple boxes are checked instead of one).
It would be useful to easily access the concerned copies, for example from the list of copies after the 
automatic entry.

History
01/17/2013 11:27 pm - Pieter  Van den Hombergh
- File cellcomment.png added

Chilo Pode wrote:
> La présence de cellules rouges/jaunes dans l'export OpenOffice, après la correction, permet de repérer les réponses incohérentes (rien n'est coché, 
plusieurs cases sont cochées au lieu d'une seule). Il serait utile de pouvoir accéder simplement aux copies concernées, par exemple à partir de la liste 
des copies après la saisie automatique.
> 
> automatic translation:
> The presence of red or yellow cells in OpenOffice export, after correction, identifies inconsistent answers (nothing is checked, multiple boxes are 
checked instead of one).
> It would be useful to easily access the concerned copies, for example from the list of copies after the automatic entry.

Same wish here: Understanding that there is little room in the cells or otherwise, you might be able to use the libreoffice cell comment for this one, the 
comment could then say exam form xx, question yy.
These comments are recognisable as a little red dot in the upper right hand corner of that cell.
!cellcomment.png!

01/18/2013 12:52 pm - Pieter  Van den Hombergh
The open office /libre office partlance for a comment i a cell is office:annotation, and looks like this:
<pre>
<office:annotation draw:style-name="gr1"
            draw:text-style-name="P1" svg:width="28.99mm"
            svg:height="5.96mm" svg:x="251.81mm" svg:y="85.78mm"
            draw:caption-point-x="-6.1mm"
            draw:caption-point-y="15.1mm">
              <dc:date>2013-01-18T00:00:00</dc:date>
              <text:p text:style-name="P1">Exam 12 q 23</text:p>
            </office:annotation>
</pre>

* it is put inside the cell, in the case I looked, before the cell text
<pre><text:p>2</text:p>
</pre>
* I do not yet know if one has sufficient control over what to insert into the cell, but putting (unconditionally) this  in every cell  with a grade could be 
relatively easy. This could do the trick for all of us.

* The svg stuff above is probably only relevant when the comment is to be shown and is probably resolvable by the user. He would normally only look 
at the comments of cells he is interested in.

11/03/2017 11:00 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Invalid and empty answers can now (since revision commit:6eaa249214e2) be highlighted in the manual data capture window.
